org.keycloak.representations.idm.authorization

## Class Permission

- java.lang.Object
- - org.keycloak.representations.idm.authorization.Permission

- Direct Known Subclasses:
    RPTIntrospectionProvider.UmaPermissionRepresentation

      public class Permission
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`
    `Permission(String resourceId, Set<String> scopes)`
    `Permission(String resourceId, String resourceName, Set<String> scopes, Map<String,Set<String>> claims)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,Set<String>>` | `getClaims()`
    `String` | `getResourceId()`
    `String` | `getResourceName()`
    `Set<String>` | `getScopes()`
    `int` | `hashCode()`
    `void` | `setResourceId(String resourceId)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setScopes(Set<String> scopes)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Permission

          public Permission()

    - #### Permission

          public Permission(String resourceId,
                            Set<String> scopes)

    - #### Permission

          public Permission(String resourceId,
                            String resourceName,
                            Set<String> scopes,
                            Map<String,Set<String>> claims)

  - ### Method Detail

    - #### setResourceId

          public void setResourceId(String resourceId)

    - #### getResourceId

          public String getResourceId()

    - #### setResourceName

          public void setResourceName(String resourceName)

    - #### getResourceName

          public String getResourceName()

    - #### getScopes

          public Set<String> getScopes()

    - #### getClaims

          public Map<String,Set<String>> getClaims()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setScopes

          public void setScopes(Set<String> scopes)

Copyright © 2021 JBoss by Red Hat. All rights reserved.